import type { Core } from '@strapi/strapi';
import { setupDemo } from './bootstrap/setup-demo';

export default {
  register(/* { strapi }: { strapi: Core.Strapi } */) {},

  async bootstrap({ strapi }: { strapi: Core.Strapi }) {
    try {
      await setupDemo(strapi);
    } catch (error) {
      strapi.log.error('Demo bootstrap failed:', error);
    }
  },
};
